<?php

use Anomaly\Streams\Platform\Database\Migration\Migration;

class TerrostarExtensionAlternateBannerBlockCreateBlocksStream extends Migration
{

    /**
     * The stream definition.
     *
     * @var array
     */
    protected $stream = [
        'slug' => 'blocks',
    ];

    /**
     * The stream assignments.
     *
     * @var array
     */
    protected $assignments = [
        'title'    => [
            'en' => [
                'instructions' => 'If left blank the meta title will be used by default.',
            ],
        ],
        'subtitle' => [
            'en' => [
                'instructions' => 'If left blank the meta description will be used by default.',
            ],
        ],
    ];

}
