<?php

use Anomaly\Streams\Platform\Database\Migration\Migration;

class TerrostarExtensionAlternateBannerBlockAddImageField extends Migration
{

    protected $delete = false;

    /**
     * The stream definition.
     *
     * @var array
     */
    protected $stream = [
        'slug' => 'blocks',
    ];

    /**
     * The addon fields.
     *
     * @var array
     */
    protected $fields = [
        'image'    => [
            'en'   => [
                'name' => 'Image',
            ],
            'type' => 'anomaly.field_type.image',
        ],
    ];

    /**
     * The stream assignments.
     *
     * @var array
     */
    protected $assignments = [
        'image'    => [
            'en' => [
                'instructions' => 'The image will be fit to the width of the screen and automatically sized vertically and centered.',
            ],
        ],
    ];

}
