<?php namespace Terrostar\AlternateBannerBlockExtension;

use Anomaly\BlocksModule\Block\BlockExtension;
use Terrostar\AlternateBannerBlockExtension\Block\BlockModel;

class AlternateBannerBlockExtension extends BlockExtension
{

    /**
     * This extension provides...
     *
     * This should contain the dot namespace
     * of the addon this extension is for followed
     * by the purpose.variation of the extension.
     *
     * For example anomaly.module.store::gateway.stripe
     *
     * @var null|string
     */
    protected $provides = 'anomaly.module.blocks::block.alternate_banner';

    /**
     * The block view.
     *
     * @var string
     */
    protected $view = 'terrostar.extension.alternate_banner_block::content';

    /**
     * The block wrapper.
     *
     * @var string
     */
    protected $wrapper = 'terrostar.extension.alternate_banner_block::wrapper';

    /**
     * The block model.
     *
     * @var string
     */
    protected $model = BlockModel::class;

}
